POST api/Zapier/InsertServiceRequestsVehicleTransfer
Insert service request vehicle transfer.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsVehicleTransferModel| Name | Description | Type | Additional information |
|---|---|---|---|
| is_car_under_insured_name | boolean |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"is_car_under_insured_name": true,
"description": "sample string 2",
"status": "sample string 3",
"insured_id": "ff440f74-1e9b-4dec-abb2-b75fc68f9c21",
"insured_name": "sample string 4",
"insured_email": "sample string 5",
"insured_phone": "sample string 6",
"policy_number": "sample string 7",
"stage": "sample string 8",
"custom_type": "sample string 9",
"request_database_id": "53b6245b-05de-4e5a-8d77-40f10d9a61b8",
"policy_database_id": [
"d407e343-3946-4e1e-b6f6-16cb6ba7a8de",
"19922ea0-95d4-40d4-bc2c-d16b22ad2df1"
],
"agent_database_id": [
"49cc74de-0f04-4f99-a81d-25e179488691",
"6e922d00-2027-4801-bb45-0af049549ca2"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsVehicleTransferModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>49cc74de-0f04-4f99-a81d-25e179488691</d2p1:guid>
<d2p1:guid>6e922d00-2027-4801-bb45-0af049549ca2</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 2</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">ff440f74-1e9b-4dec-abb2-b75fc68f9c21</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>d407e343-3946-4e1e-b6f6-16cb6ba7a8de</d2p1:guid>
<d2p1:guid>19922ea0-95d4-40d4-bc2c-d16b22ad2df1</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">53b6245b-05de-4e5a-8d77-40f10d9a61b8</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Status>
<IsCarUnderInsuredName>true</IsCarUnderInsuredName>
</ServiceRequestsVehicleTransferModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>